package com.muyu.cloud.market.domin;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin
 * @Project：cloud-market
 * @name：Customer
 * @Date：2024/8/20 10:03
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "",autoResultMap = true)
public class Customer extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 客户名称
     */
    private String name;
    /**
     * 性别
     */
    private String gender;
    /**
     * 生日
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date birthday;
    /**
     * 身份证
     */
    private String idCard;
    /**
     * 手机号
     */
    private String tel;
    /**
     * 客户地址
     */
    private String address;
    /**
     * 征信状态
     */
    private String credit;
    /**
     * 邮箱
     */
    private String email;


}
