package com.muyu.cloud.market.domin;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "orders",autoResultMap = true)
public class Orders extends BaseEntity {

    /**
     * 订单表ID
     */
    private Long ordersId;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    private String ordersNum;

    /**
     * 订单产品（产品外键）
     */
    private Integer ordersProduct;

    /**
     * 订单所属人（user外键）
     */
    private Integer ordersUser;

    /**
     * 订单金额
     */
    @Excel ( name ="订单金额")
    private BigDecimal ordersPrice;

    /**
     * 订单规格
     */
    @Excel(name = "订单规格")
    private String  ordersSpecification;

    /**
     * 订单款项状态（1已付款，2未付款，0待支付 3.售后(申请退款) 4.已退款）
     */
    @Excel(name = "订单款项状态")
    private Integer ordersState;

    /**
     * 订单日期
     */
    @Excel(name = "订单日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date ordersLaunchdate;

    /**
     * 逻辑删除字段
     */
    @Excel(name = "逻辑删除字段")
     private Integer exist;

    /**
     * (关联的产品外键)
     */
    private Long productId;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    private String productName;

    //用户模块(要使用外键)
    /**
     * (关联的用户外键)
     */
    private Long userId;

    /**
     * 用户账号
     */
    @Excel(name = "用户账号")
    private String userName;



}
