package com.muyu.cloud.market.domin;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "payinfo",autoResultMap = true)
public class PayInfo  extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 订单支付表主键
     */
    private Long payInfoId;
    /**
     * 支付单号
     */
    private String payInfoNum;
    /**
     * 支付单状态; 1待支付 2支付中 3支付成功 4支付失败 5支付超时
     */
    private Integer payInfoState;
    /**
     * 订单ID(外键)
     */
    private Integer payInfoOrders;
    /**
     * 客户ID(外鍵)
     */
    private Integer payInfoUser;
    /**
     * 渠道商ID(外鍵)
     */
    private Integer payInfoOperators;
    /**
     * 备注
     */
    private String payInfoRemark;


    //订单模块(要使用外键)
    /**
     * 订单ID(外键)
     */
    private Long ordersId;
    /**
     * 订单编号
     */
    private String ordersNum;
    /**
     * 订单金额
     */
    private BigDecimal ordersPrice;


    //用户模块(要使用外键)
    /**
     * (关联的用户外键)
     */
    private Long userId;
    /**
     * 用户账号
     */
    private String userName;

    //运营商模块(要使用外键)
    /**
     * 运营商ID
     */
    private Long operatorsId;
    /**
     * 运营商
     */
    private String operatorsName;

}
