package com.muyu.cloud.market.domin;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.resp
 * @Project：cloud-market
 * @name：User
 * @Date：2024/8/27 19:22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "sys_user",autoResultMap = true)
public class User {
    /**
     * 用户ID
     */
    @TableId(value = "user_id",type = IdType.AUTO)
    private long userId;

    /**
     * 部门ID
     */
    private Integer deptId;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户类型（00系统用户）
     */
    private String userType;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 用户性别（0男 1女 2未知）
     */
    private Integer sex;

    /**
     * 头像地址
     */
    private String avatar;

    /**
     * 密码
     */
    private String password;

    /**
     * 帐号状态（0正常 1停用）
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    /**
     * 最后登录IP
     */
    private String loginIp;

    /**
     * 最后登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "产品上架日期",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date loginDate;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "产品上架日期",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "产品上架日期",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 用户余额
     */
    private BigDecimal userMoney;
    /**
     * 是否个人绑定
     */
    private Integer isPersonlink;
    /**
     * 是否企业绑定
     */
    private Integer isCompanyid;


}
