package com.muyu.cloud.market.domin.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.background.domin.req
 * @Project：cloud-background
 * @name：CompanyListReq
 * @Date：2024/8/26 20:04
 */

@Tag(name = "企业列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CompanyListReq {

    /**
     *企业名称
     */
    private String companyName;
    /**
     *企业头像
     */
    private String companyPhoto;
    /**
     * 企业法人
     */
    private String companyLeader;
    /**
     *注册人姓名
     */
    private String registrantName;
    /**
     *注册人联系方式
     */
    private String registrantPhone;
    /**
     *注册人职位
     */
    private String registrantPosition;
    /**
     *社会统一信用代码
     */
    private String usci;
    /**
     *企业营业执照
     */
    private String businessLicense;
    /**
     *企业地址
     */
    private String companyAddress;
    /**
     * 注册日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "注册日期",defaultValue = "2024-8-9",type = "String", format = "date")
    private Date registrantDate;
    /**
     *审核状态
     */
    @Schema(description = "审核状态",defaultValue = "0",type = "Integer")
    private Integer reviewStatus;
    /**
     * 公司注册账户余额
     */
    @Schema(description = "公司注册账户余额",defaultValue = "0",type = "BigDecimal")
    private BigDecimal companyMoney;

}
