package com.muyu.cloud.market.domin.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.req
 * @Project：cloud-market
 * @name：CustomerAddReq
 * @Date：2024/8/20 21:36
 */

@Data
@Builder
@AllArgsConstructor
@Tag(name = "添加客户信息请求对象",description = "根据入参进行客户信息的添加")
public class CustomerAddReq {


    /**
     * 客户名称
     */
    @NotEmpty(message = "客户名称不可为空")
    private String name;
    /**
     * 客户性别
     */
    @NotEmpty(message = "客户性别不可为空")
    private String gender;
    /**
     * 身份证
     */
    @NotEmpty(message = "客户身份证不可为空")
    private String idCard;
    /**
     * 手机号
     */
    @NotEmpty(message = "客户手机号不可为空")
    private String tel;
    /**
     * 客户地址
     */
    @NotEmpty(message = "客户地址不可为空")
    private String address;
    /**
     * 邮箱
     */
    @NotEmpty(message = "客户邮箱不可为空")
    private String email;



}
