package com.muyu.cloud.market.domin.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.req
 * @Project：cloud-market
 * @name：CustomerUpdReq
 * @Date：2024/8/21 14:13
 */

@Data
@Builder
@AllArgsConstructor
@Tag(name = "修改客户信息请求对象",description = "根据入参进行客户信息的修改")
public class CustomerUpdReq {

    /**
     * 客户Id
     */
    @NotEmpty(message = "客户id不可为空")
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 客户名称
     */
    private String name;
    /**
     * 客户性别
     */
    private String gender;
    /**
     * 身份证
     */
    private String idCard;
    /**
     * 手机号
     */
    private String tel;
    /**
     * 客户地址
     */
    private String address;
    /**
     * 征信状态
     */
    private String credit;
    /**
     * 邮箱
     */
    private String email;
}
