package com.muyu.cloud.market.domin.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "订单列表请求对象")
public class OrdersListReq {

    /**
     * 产品名称
     */
    @Schema(
            description = "产品名称",
            type = "String"
    )
    private String productName;

    /**
     * 订单编号
     */
    @Schema(
            description = "订单编号",
            type = "String"
    )
    private String ordersNum;

    /**
     * 订单状态（已付款，未付款，待支付）
     */
    @Schema(
            description = "订单状态:0-待支付  1-已支付 2-已取消",
            type = "Integer"
    )
    private Integer ordersState;

    /**
     * 订单日期
     */
    @Schema(description = "订单日期起始日期")
    private String startDate;


    /**
     * 订单日期
     */
    @Schema(description = "订单日期结束日期")
    private String endDate;

    /**
     * 逻辑删除字段
     */
    @Schema(
            description = "逻辑删除字段",
            type = "Interger")
    private Integer exist;


    private Integer pageNum=1;
    private Integer pageSize=5;


}
