package com.muyu.cloud.market.domin.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "修改产品接口请求对象",description = "进行产品接口的修改")
public class OrdersUpdReq {

    /**
     * 订单ID
     */
    @Schema(title = "订单主键",
            type = "Long")
    private  Long  ordersId;

    /**
     * 订单产品（产品外键）
     */
    @Schema(title = "订单产品（产品外键）",
            type = "Integer")
    private Integer ordersProduct;


    /**
     * 订单金额
     */
    @Schema(
            title = "订单金额",
            description = "订单金额方向需使用特殊操作处理",
            type = "BigDecimal"
    )
    private BigDecimal ordersPrice;

    /**
     * 订单规格
     */
    @Schema(
            description = "订单规格",
            type = "String"
    )
    private String  ordersSpecification;

    /**
     * 订单状态（已付款，未付款，待支付）
     */
    @Schema(
            title = "订单状态",
            description = "订单状态:0-待支付 1-已付款 2-已取消"
    )
    private Integer ordersState;





}
