package com.muyu.cloud.market.domin.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.req
 * @Project：cloud-market
 * @name：ProductListReq
 * @Date：2024/8/21 15:15
 */

@Tag(name = "接口产品列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductListReq {

    /**
     * 主键
     */
    @Schema(description = "产品ID",defaultValue = "1",type = "Integer")
    private Integer id;
    /**
     * 产品名称
     */
    @Schema(description = "产品名称",defaultValue = "根据产品名称查询",type = "String")
    private String productName;
    /**
     * 产品类型
     */
    @Schema(description = "产品类型",defaultValue = "金融科技",type = "String")
    private String productType;
    /**
     * 状态
     */
    @Schema(description = "产品状态 同数据字典-系统是否",defaultValue = "1",type = "Integer")
    private String productState;
    /**
     * 重要路径
     */
    private String apiRouter;
    /**
     *接口地址
     */
    private String apiAddress;
    /**
     * 返回格式
     */
    private String returnFormat;
    /**
     *请求方式
     */
    private String requestMethod;
    /**
     * 页码，从1开始
     */
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    private Integer pageSize=9;

    @Schema(description = "创建人",defaultValue = "muyu",type = "String")
    private String createBy;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @Schema(description = "创建时间",defaultValue = "2024-07-31 14:30:29",type = "Date")
    private Date createTime;


}
