package com.muyu.cloud.market.domin.resp;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin.resp
 * @Project：cloud-market
 * @name：ProductTotalListResp
 * @Date：2024/8/26 8:32
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name="数据总数列表",description = "数据和总数的响应")
public class ProductTotalListResp {

    private List<ProductListResp> productListResps;

    private long total;

    public static ProductTotalListResp of(List<ProductListResp> productList, long total) {
        ProductTotalListResp response = new ProductTotalListResp();
        response.setProductListResps(productList);
        response.setTotal(total);
        return response;
    }
}
