package com.muyu.cloud.market.domin.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin
 * @Project：cloud-market
 * @name：UserCompany
 * @Date：2024/9/3 16:40
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserCompanyResp {
    /**
     * 用户Id
     */
    private long userId;
    /**
     * 用户呢称
     */
    private String nickName;
    /**
     * 绑定邮箱
     */
    private String email;
    /**
     * 个人账户余额
     */
    private BigDecimal userMoney;

    /**
     * 企业ID
     */
    private Integer companyId;
    /**
     *企业名称
     */
    private String companyName;
    /**
     *企业头像
     */
    private String companyPhoto;
    /**
     * 企业法人
     */
    private String companyLeader;
    /**
     *注册人姓名
     */
    private String registrantName;
    /**
     *注册人联系方式
     */
    private String registrantPhone;
    /**
     *注册人职位
     */
    private String registrantPosition;
    /**
     *注册日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "注册日期",defaultValue = "2024-8-9",type = "String",format = "date")
    private Date registrantDate;
    /**
     *社会统一信用代码
     */
    private String usci;
    /**
     *企业营业执照
     */
    private String businessLicense;
    /**
     *企业地址
     */
    private String companyAddress;
    /**
     *审核状态
     */
    private Integer reviewStatus;
    /**
     * 公司注册账户余额
     */
    private BigDecimal companyMoney;
}
