package com.muyu.cloud.market.controller;

import com.muyu.cloud.market.domin.MyApi;
import com.muyu.cloud.market.domin.req.MyApiReq;
import com.muyu.cloud.market.service.MyApiService;
import com.muyu.common.core.domain.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.controller
 * @Project：cloud-market
 * @name：MyApiController
 * @Date：2024/8/24 0:29
 */
@Log4j2
@RestController
@RequestMapping("myapi")
@Tag(name = "我的Api",description = "已经购买的api接口")
public class MyApiController {
    @Autowired
    private MyApiService myApiService;

    /**
     * 查询我已购的api
     * @param myApiReq
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "查询我已购的api",description = "根据我的api仓库里已经购买的api接口，进行查询")
    public Result<List<MyApi>> selectMyApiList(@Validated @RequestBody MyApiReq myApiReq){
        return Result.success(myApiService.selectMyApiList(myApiReq));
    }

}
