package com.muyu.cloud.market.controller;

import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.UserProductCount;
import com.muyu.cloud.market.service.ProducttestService;
import com.muyu.common.core.domain.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.controller
 * @Project：cloud-market
 * @name：ProducttestController
 * @Date：2024/9/3 10:16
 */
@Log4j2
@RestController
@RequestMapping("/producttest")
@Tag(name = "产品测试",description = "产品测试相关操作")
public class ProducttestController {
    @Autowired
    private ProducttestService producttestService;


    /**
     * 不同用户/方式的测试次数
     * @param userProductCount
     * @return
     */
    @PostMapping("/findcount")
    @Operation(summary = "不同用户/方式的测试次数",description = "不同用户/方式的测试次数")
    public Result findcount(@Validated @RequestBody UserProductCount userProductCount, HttpServletRequest request){
        UserProductCount findcount = producttestService.findcount(userProductCount, request);
        return Result.success(findcount);
    }


    /**
     * 测试次数-1
     * @param userProductCount
     * @return
     */
    @PostMapping("/reducetestcount")
    @Operation(summary = "测试次数-1",description = "测试次数-1")
    public void reducetestcount(@Validated @RequestBody UserProductCount userProductCount){
        Integer reducetestcount = producttestService.reducetestcount(userProductCount);

    }


}
