package com.muyu.cloud.market.mapper;

import com.muyu.cloud.market.domin.Orders;
import com.muyu.cloud.market.domin.req.OrdersAddReq;
import com.muyu.cloud.market.domin.req.OrdersListReq;
import com.muyu.cloud.market.domin.req.OrdersUpdReq;
import io.swagger.v3.oas.models.security.SecurityScheme;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface OrderShowMapper  {

    /**
     * 查询订单列表
     * (模糊查productName 精确查ordersNum 精确查ordersState 日期范围 startdate enddate)
     * @param req
     * @return
     */
    List<Orders> selectList(OrdersListReq req);

    /** 订单
     * 新增订单
     * @param ordersAddReq
     * @return
     */
    Integer addOrdeds(OrdersAddReq ordersAddReq);


    /** 订单
     * 修改订单
     * @param ordersUpdReq
     * @return
     */
    Integer updateOrders(OrdersUpdReq ordersUpdReq);

    /** 订单
     * 逻辑删除->根据orderid修改exist字段 1->0
     * 订单回收站
     * @param ordersId
     * @return
     */
    Integer updateByeExist(Integer ordersId);

    /** 订单
     * 逻辑复原->根据orderid修改exist字段 0->1
     * 订单回收站
     * @param ordersId
     * @return
     */
    Integer updateByExist(Integer ordersId);

    /** 订单
     * 彻底删除(根据orderid删除数据库字段)
     * @return
     */
    Integer delByOrderId(Integer ordersId);

    /**
     * 订单回显
     * 根据id查内容
     * @param ordersId
     * @return
     */
    Orders findAllById (Integer ordersId);


    /**
     * 订单修改支付状态1已付款后,更改该商品的销量
     * （0待支付,1已付款,2未付款,3.售后(申请退款) 4.已退款）
     */
    //订单修改支付状
    Integer updateByordersState1(Integer ordersId);
    //更改该商品的销量
    Integer updateByproductSales(Integer productId);

    //修改状态为 2未付款
    Integer updateByordersState2(Integer ordersId);

    /**
     * 申请退款后的操作（审核表）
     * @param ordersId
     * @return
     */
    //3.售后(申请退款--涉及到申请退款)
    Integer updateByordersState3(Integer ordersId);
    // 4.已退款
    Integer updateByordersState4(Integer ordersId);





    //导出
    List<Orders> getOutAll();
    //选中导出
    List<Orders> getSeleOut(@Param("ids") Integer[] ids);


    /**
     * 支付宝
     * @param ordersNum
     * @return
     */
    ;

    @Select("select * from orders where  orders_num = #{ordersNum}")
    Orders selectByordersNum(String ordersNum);

}
