package com.muyu.cloud.market.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.resp.ChosehowpayResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.mapper
 * @Project：cloud-market
 * @name：ProductApiMapper
 * @Date：2024/8/20 15:03
 */
@Mapper
public interface ProductApiMapper extends BaseMapper<Product> {

    @Select("SELECT product_type FROM product GROUP BY product_type")
    List<String> selectDistinctProductTypes();

    /**
     * 产品的支付规格及对应的价格
     * @return
     */
    List<ChosehowpayResp> selectspecification(ChosehowpayResp chosehowpayResp);


    /**
     * 判断接口是否已被购买
     * @param product
     * @return
     */
    String selectremark(Product product);

    /**
     * 测试次数-1
     * @param product
     * @return
     */
    Integer reducetestcount(Product product);

    Integer iftest(Product product);



}
