package com.muyu.cloud.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.market.domin.Company;
import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.User;
import com.muyu.cloud.market.domin.req.CompanyListReq;
import com.muyu.cloud.market.domin.resp.UserCompanyResp;
import jakarta.servlet.http.HttpServletRequest;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service
 * @Project：cloud-market
 * @name：CompanyService
 * @Date：2024/8/27 14:17
 */
public interface CompanyService extends IService<Company> {

    /**
     * 企业绑定
     * @param companyListReq
     * @return
     */
    void companyauthentication(CompanyListReq companyListReq, HttpServletRequest request);

    /**
     * 判断是否进行了企业认证
     * @return
     */
    User ifcompanyauthentication();

    /**
     * 绑定的企业信息
     * @return
     */
    UserCompanyResp selectcompany(HttpServletRequest request);


}
