package com.muyu.cloud.market.service;

import com.github.pagehelper.PageInfo;
import com.muyu.cloud.market.domin.Orders;
import com.muyu.cloud.market.domin.req.OrdersAddReq;
import com.muyu.cloud.market.domin.req.OrdersListReq;
import com.muyu.cloud.market.domin.req.OrdersUpdReq;
import com.muyu.common.core.domain.Result;

import java.util.List;


public interface OrderShowService  {

    /**
     * 查询订单列表
     * (精确查ordersNum 精确查ordersState 日期范围 startdate enddate)
     *
     * @param req
     * @return
     */
    PageInfo<Orders> selectList(OrdersListReq req);

    /**
     * 新增订单
     * @param ordersAddReq
     * @return
     */
    Result addOrdeds(OrdersAddReq ordersAddReq);

    /**
     * 修改订单
     * @param ordersUpdReq
     * @return
     */
    Result updateOrders(OrdersUpdReq ordersUpdReq);

    /**
     * 逻辑删除->根据orderid修改exist字段 1->0
     * 订单回收站
     * @param ordersId
     * @return
     */
    Result updateByeExist(Integer ordersId);

    /**
     * 逻辑删除->根据orderid修改exist字段 0->1
     * 订单回收站
     * @param ordersId
     * @return
     */
    Result updateByExist(Integer ordersId);


    /**
     * 彻底删除(根据orderid删除数据库字段)
     * @return
     */
    Result delByOrderId(Integer ordersId);

    /**
     * 回显
     * 根据id查内容
     * @param ordersId
     * @return
     */
    Orders findAllById (Integer ordersId);

    /**
     * 支付宝对接模块
     * @param ordersNum
     * @return
     */
    Orders selectByOrderNo(String ordersNum);

    /**
     * 导出
     * @return
     */
    List<Orders> getOutAll();

    List<Orders> getseleOut(Integer[] ids);


    /**
     * 获取登陆人信息
     */


    /**
     * 订单修改支付状态1已付款后,更改该商品的销量
     * （0待支付,1已付款,2未付款,3.售后(申请退款) 4.已退款）
     */
    //订单修改支付状 //更改该商品的销量
    Result updateByordersState1ANDproductSales(Integer ordersId, Integer productId);



    //修改状态为 2未付款
    Result updateByordersState2(Integer ordersId);
    //3.售后(申请退款)
    Result updateByordersState3(Integer ordersId);
    // 4.已退款
    Result updateByordersState4(Integer ordersId);


}
