package com.muyu.cloud.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.req.ProductListReq;
import com.muyu.cloud.market.domin.resp.ChosehowpayResp;
import com.muyu.cloud.market.domin.resp.ProductListResp;
import com.muyu.cloud.market.domin.resp.ProductTotalListResp;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service
 * @Project：cloud-market
 * @name：ProductApiService
 * @Date：2024/8/20 15:01
 */
public interface ProductApiService extends IService<Product> {

    /**
     * 查询全部商品接口
     * @param productListReq
     * @return
     */
    ProductTotalListResp selectList(ProductListReq productListReq);

    /**
     * 查询热点产品
     * @return
     */
    List<ProductListResp> selecthostportList();


    /**
     * 产品类型查询
     * @return
     */
    List<String> selectproductTypeList();


    /**
     * 产品的支付规格及对应的价格
     * @return
     */
    List<ChosehowpayResp> selectspecification(ChosehowpayResp chosehowpayResp);


    /**
     * 判断接口是否已被购买
     * @param product
     * @return
     */
    String selectremark(Product product);

    /**
     * 测试次数-1
     * @param product
     * @return
     */
    Integer reducetestcount(Product product);

    /*
    判断测试次数
     */
    Integer iftest(Product product);
}
