package com.muyu.cloud.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.market.domin.Customer;
import com.muyu.cloud.market.domin.resp.CustomerListResp;
import com.muyu.cloud.market.mapper.FindCustomerMeaasgeMapper;
import com.muyu.cloud.market.service.FindCustomerMeaasgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service.impl
 * @Project：cloud-market
 * @name：FindCustomerMeaasgeService
 * @Date：2024/8/20 9:51
 */
@Service
public class FindCustomerMeaasgeServiceImpl extends ServiceImpl<FindCustomerMeaasgeMapper,Customer> implements FindCustomerMeaasgeService {

    /**
     * 客户信息持久层
     */
    @Autowired
    private FindCustomerMeaasgeMapper findCustomerMeaasgeMapper;


    /**
     * 根据身份证号查询客户信息
     * @param idCard
     * @return
     */
    @Override
    public Customer findListByuserCard(String idCard) {
        QueryWrapper<Customer> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("idCard", idCard);
        return this.getOne(queryWrapper);
    }

    /**
     * 根据手机号查询客户信息
     * @param tel
     * @return
     */
    @Override
    public Customer findListByuserPhone(String tel) {
        QueryWrapper<Customer> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("tel", tel);
        return this.getOne(queryWrapper);
    }





}
