package com.muyu.cloud.market.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.market.domin.Product;
import com.muyu.cloud.market.domin.UserProductCount;
import com.muyu.cloud.market.mapper.ProducttestMapper;
import com.muyu.cloud.market.service.ProducttestService;
import com.muyu.common.security.service.TokenService;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.service.impl
 * @Project：cloud-market
 * @name：ProducttestServiceImpl
 * @Date：2024/9/3 10:19
 */
@Service
public class ProducttestServiceImpl extends ServiceImpl<ProducttestMapper, UserProductCount> implements ProducttestService {
    @Autowired
    private ProducttestMapper producttestMapper;
    @Autowired
    private TokenService tokenService;


    /**
     * 不同用户/方式的测试次数
     * @param userProductCount
     * @return
     */
    @Override
    public UserProductCount findcount(UserProductCount userProductCount, HttpServletRequest request) {
        String token = SecurityUtils.getToken();// 获取当前Token
        LoginUser loginUser = tokenService.getLoginUser(token); // 获取当前登录用户
        Long userid = loginUser.getUserid();
        userProductCount.setUserId(userid);
        return producttestMapper.findcount(userProductCount);

    }


    /**
     * 测试次数-1
     * @param userProductCount
     * @return
     */
    @Override
    public Integer reducetestcount(UserProductCount userProductCount) {
        String token = SecurityUtils.getToken();// 获取当前Token
        LoginUser loginUser = tokenService.getLoginUser(token); // 获取当前登录用户
        Long userid = loginUser.getUserid();
        userProductCount.setUserId(userid);
        Integer iftest = producttestMapper.reducetestcount(userProductCount);
        return iftest;
    }
}
